Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.attributeparsers
Class BundleAttributeParsers

    java.lang.Object
      com.google.gwt.uibinder.attributeparsers.BundleAttributeParsers

Deprecated.

    @Deprecated
    public class BundleAttributeParsers

extends java.lang.Object

Manages BundleAttributeParsers, which provide the deprecated res:style{style.pretty} feature.

Constructor Summary
`BundleAttributeParsers(TypeOracle oracle, com.google.gwt.uibinder.rebind.MortalLogger logger, com.google.gwt.uibinder.rebind.model.OwnerClass ownerClass, java.lang.String templatePath, JClassType uiOwnerType)` Deprecated.

Method Summary
`BundleAttributeParser` | `get(com.google.gwt.uibinder.rebind.model.OwnerFieldClass type)` Deprecated.
`BundleAttributeParser` | `get(com.google.gwt.uibinder.rebind.XMLAttribute attribute)` Deprecated.
`java.util.Map<java.lang.String,BundleAttributeParser>` | `getMap()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleAttributeParsers

    public BundleAttributeParsers(TypeOracle oracle,
                                  com.google.gwt.uibinder.rebind.MortalLogger logger,
                                  com.google.gwt.uibinder.rebind.model.OwnerClass ownerClass,
                                  java.lang.String templatePath,
                                  JClassType uiOwnerType)

  Deprecated.

Method Detail

### get

    public BundleAttributeParser get(com.google.gwt.uibinder.rebind.model.OwnerFieldClass type)

  Deprecated.

### get

    public BundleAttributeParser get(com.google.gwt.uibinder.rebind.XMLAttribute attribute)
                              throws UnableToCompleteException

  Deprecated.
  Throws:
    `UnableToCompleteException`

### getMap

    public java.util.Map<java.lang.String,BundleAttributeParser> getMap()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD